Package oasis.names.tc.saml._2_0.protocol

# Class ManageNameIDRequest

java.lang.Object
oasis.names.tc.saml._2_0.protocol.RequestAbstractType
oasis.names.tc.saml._2_0.protocol.ManageNameIDRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class ManageNameIDRequest extends RequestAbstractType implements Serializable

Java class for ManageNameIDRequestType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ManageNameIDRequestType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}RequestAbstractType">
           <sequence>
             <choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}NameID"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}EncryptedID"/>
             </choice>
             <choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}NewID"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}NewEncryptedID"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:protocol}Terminate"/>
             </choice>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManageNameIDRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EncryptedElementType`
  `getEncryptedID()`
  Gets the value of the encryptedID property.
  `NameIDType`
  `getNameID()`
  Gets the value of the nameID property.
  `EncryptedElementType`
  `getNewEncryptedID()`
  Gets the value of the newEncryptedID property.
  `String`
  `getNewID()`
  Gets the value of the newID property.
  `Terminate`
  `getTerminate()`
  Gets the value of the terminate property.
  `void`
  `setEncryptedID(EncryptedElementType value)`
  Sets the value of the encryptedID property.
  `void`
  `setNameID(NameIDType value)`
  Sets the value of the nameID property.
  `void`
  `setNewEncryptedID(EncryptedElementType value)`
  Sets the value of the newEncryptedID property.
  `void`
  `setNewID(String value)`
  Sets the value of the newID property.
  `void`
  `setTerminate(Terminate value)`
  Sets the value of the terminate property.

  ### Methods inherited from class oasis.names.tc.saml._2_0.protocol.RequestAbstractType

  `getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getSignature, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setSignature, setVersion`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ManageNameIDRequest

    public ManageNameIDRequest()

- ## Method Details

  - ### getEncryptedID

    public EncryptedElementType getEncryptedID()
    Gets the value of the encryptedID property.
    Returns:
      possible object is `EncryptedElementType`

  - ### setEncryptedID

    public void setEncryptedID(EncryptedElementType value)
    Sets the value of the encryptedID property.
    Parameters:
      `value` - allowed object is `EncryptedElementType`

  - ### getNameID

    public NameIDType getNameID()
    Gets the value of the nameID property.
    Returns:
      possible object is `NameIDType`

  - ### setNameID

    public void setNameID(NameIDType value)
    Sets the value of the nameID property.
    Parameters:
      `value` - allowed object is `NameIDType`

  - ### getTerminate

    public Terminate getTerminate()
    Gets the value of the terminate property.
    Returns:
      possible object is `Terminate`

  - ### setTerminate

    public void setTerminate(Terminate value)
    Sets the value of the terminate property.
    Parameters:
      `value` - allowed object is `Terminate`

  - ### getNewEncryptedID

    public EncryptedElementType getNewEncryptedID()
    Gets the value of the newEncryptedID property.
    Returns:
      possible object is `EncryptedElementType`

  - ### setNewEncryptedID

    public void setNewEncryptedID(EncryptedElementType value)
    Sets the value of the newEncryptedID property.
    Parameters:
      `value` - allowed object is `EncryptedElementType`

  - ### getNewID

    public String getNewID()
    Gets the value of the newID property.
    Returns:
      possible object is `String`

  - ### setNewID

    public void setNewID(String value)
    Sets the value of the newID property.
    Parameters:
      `value` - allowed object is `String`